> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Paid Invoice Status

> Get Paid Invoice Status

Get the status of a paid invoice for cross-border payments.


## OpenAPI

````yaml GET /api/v3/cross-boarder/invoice/pay/{referenceId}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/cross-boarder/invoice/pay/{referenceId}:
    get:
      tags:
        - CROSS BOARDER
      summary: Get Paid Invoice Status
      description: Get Paid Invoice Status
      operationId: FiatToFiatController_getPaidInvoiceStatus_api/v3
      parameters:
        - name: referenceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Invoice successfully retrieved
                  data:
                    $ref: '#/components/schemas/PayInvoiceResponseDto'
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid API Key
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    PayInvoiceResponseDto:
      type: object
      properties:
        invoice:
          description: The invoice details
          example:
            amount: 1000
            currency: KES
            status: PENDING
          allOf:
            - $ref: '#/components/schemas/PayInvoice'
        currency:
          description: The currency of the invoice
          example: KES
          allOf:
            - $ref: '#/components/schemas/Currency'
        amount:
          type: number
          description: The amount of the invoice
          example: 1000
        referenceId:
          type: string
          description: The reference id of the invoice
          example: 1e476673-0931-4eba-8373-37b368ce59f7
        status:
          description: The status of the invoice
          example: PENDING
          allOf:
            - $ref: '#/components/schemas/WithdrawStatus'
      required:
        - invoice
        - currency
        - amount
        - referenceId
        - status
    PayInvoice:
      type: object
      properties:
        amount:
          type: string
          description: The amount of the invoice
          example: 1000
        currency:
          description: The currency of the invoice
          example: KES
          allOf:
            - $ref: '#/components/schemas/Currency'
        status:
          type: string
          description: The status of the invoice
          example: PENDING
      required:
        - amount
        - currency
        - status
    Currency:
      type: string
      enum:
        - KES
        - GHS
        - NGN
        - ZAR
        - ZAR
        - USD
        - XOF
        - ZMW
        - XAF
        - SLE
        - CDF
        - TZS
        - UGX
        - EGP
        - MWK
        - RWF
        - ETB
        - MZN
        - LSL
        - GNF
        - USDT
        - BTC
        - ETH
        - USDC
      description: From currency
    WithdrawStatus:
      type: string
      enum:
        - RETRY
        - PENDING
        - SUCCESSFUL
        - FAILED
        - CANCELLED
        - REVERSED
        - IN_PROGRESS
        - INITIATED
        - ERROR_OCCURRED
        - DECLINED
        - EXPIRED
        - REQUIRE_REVIEW
        - NOT_INITIATED
        - TRANSACTION_INITIATED
        - TRANSACTION_RETRY
        - TRANSACTION_RETRY_SUCCESSFUL
        - TRANSACTION_RETRY_FAILED
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````